#!/bin/sh
# TDE additions:
export TDEDIR=/usr

# upgradepkg runs installpkg twice, so test for the second run:
[[ "$XDG_CONFIG_DIRS" != */etc/tde/xdg* ]] && {
if [ ! "$XDG_CONFIG_DIRS" = "" ]; then
  export XDG_CONFIG_DIRS=$XDG_CONFIG_DIRS:/etc/tde/xdg
else
  export XDG_CONFIG_DIRS=/etc/xdg:/etc/tde/xdg
fi
}

## Re: https://specifications.freedesktop.org/basedir-spec/basedir-spec-0.6.html
## If XDG_DATA_DIRS is null or unset, the default is /usr/local/share:/usr/share
[[ $XDG_DATA_DIRS == "" ]] && \
export XDG_DATA_DIRS=/usr/local/share:/usr/share:/usr/share || {
[[ $XDG_DATA_DIRS != */usr/share* ]] && \
export XDG_DATA_DIRS=$XDG_DATA_DIRS:/usr/share
}

